<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/mac/mac_frame.hpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d1/d97/mac__frame_8hpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mac_frame.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes definitions for generating and processing IEEE 802.15.4 MAC frames.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;limits.h&gt;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d57/encoding_8hpp_source.html">common/encoding.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d7/d62/radio_8h_source.html">platform/radio.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for mac_frame.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/dd0/mac__frame_8hpp__incl.png" border="0" usemap="#src_2core_2mac_2mac__frame_8hpp" alt=""/></div>
<map name="src_2core_2mac_2mac__frame_8hpp" id="src_2core_2mac_2mac__frame_8hpp">
<area shape="rect" id="node3" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="176,225,240,251"/>
<area shape="rect" id="node5" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="122,79,278,104"/>
<area shape="rect" id="node6" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="291,152,427,177"/>
<area shape="rect" id="node9" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="302,79,416,104"/>
<area shape="rect" id="node7" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="442,225,518,251"/>
<area shape="rect" id="node8" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="280,225,418,251"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d52/mac__frame_8hpp__dep__incl.png" border="0" usemap="#src_2core_2mac_2mac__frame_8hppdep" alt=""/></div>
<map name="src_2core_2mac_2mac__frame_8hppdep" id="src_2core_2mac_2mac__frame_8hppdep">
<area shape="rect" id="node2" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="2252,85,2460,111"/>
<area shape="rect" id="node6" href="../../d4/da4/commissioner_8hpp.html" title="This file includes definitions for the Commissioner role. " alt="" coords="2657,345,2895,371"/>
<area shape="rect" id="node8" href="../../d4/d64/joiner_8cpp.html" title="This file implements the Joiner role. " alt="" coords="2121,432,2308,457"/>
<area shape="rect" id="node9" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="3071,339,3233,377"/>
<area shape="rect" id="node10" href="../../d6/d6f/mle__router_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Router and Leader roles..." alt="" coords="2972,599,3108,637"/>
<area shape="rect" id="node11" href="../../d4/dd9/mac_8cpp.html" title="This file implements the subset of IEEE 802.15.4 primitives required for Thread. " alt="" coords="293,692,445,717"/>
<area shape="rect" id="node12" href="../../de/d27/address__resolver_8cpp.html" title="This file implements Thread&#39;s EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="3401,685,3562,724"/>
<area shape="rect" id="node14" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="525,692,686,717"/>
<area shape="rect" id="node15" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="3944,685,4080,724"/>
<area shape="rect" id="node16" href="../../d0/d0f/network__data__leader_8cpp.html" title="This file implements the Thread Network Data managed by the Thread Leader. " alt="" coords="3646,685,3807,724"/>
<area shape="rect" id="node17" href="../../d1/da2/network__diag_8cpp.html" title="This file implements Thread&#39;s Network Diagnostic processing. " alt="" coords="3012,685,3172,724"/>
<area shape="rect" id="node18" href="../../d9/d20/network__data_8cpp.html" title="This file implements common methods for manipulating Thread Network Data. " alt="" coords="3764,512,3924,551"/>
<area shape="rect" id="node28" href="../../de/d66/lowpan_8hpp.html" title="This file includes definitions for 6LoWPAN header compression. " alt="" coords="2876,519,3058,544"/>
<area shape="rect" id="node30" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="1140,519,1329,544"/>
<area shape="rect" id="node31" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="293,605,446,631"/>
<area shape="rect" id="node35" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="1003,172,1149,197"/>
<area shape="rect" id="node46" href="../../de/d6e/mac__blacklist_8hpp.html" title="This file includes definitions for IEEE 802.15.4 frame filtering based on MAC address. " alt="" coords="94,432,301,457"/>
<area shape="rect" id="node47" href="../../d3/d9e/mac__frame_8cpp.html" title="This file implements IEEE 802.15.4 header generation and processing. " alt="" coords="4201,85,4394,111"/>
<area shape="rect" id="node48" href="../../d6/d79/mac__whitelist_8hpp.html" title="This file includes definitions for IEEE 802.15.4 frame filtering based on MAC address. " alt="" coords="324,432,532,457"/>
<area shape="rect" id="node49" href="../../d2/db6/ip6__address_8cpp.html" title="This file implements IPv6 addresses. " alt="" coords="4418,85,4611,111"/>
<area shape="rect" id="node50" href="../../dd/d90/network__data__local_8cpp.html" title="This file implements the local Thread Network Data. " alt="" coords="4634,79,4795,117"/>
<area shape="rect" id="node3" href="../../d8/d86/cli__server_8hpp.html" title="This file contains definitions for adding a CLI command to the CLI server. " alt="" coords="3415,172,3556,197"/>
<area shape="rect" id="node4" href="../../d1/d8d/coap__header_8hpp.html" title="This file includes definitions for generating and processing CoAP headers. " alt="" coords="3206,165,3340,204"/>
<area shape="rect" id="node5" href="../../dd/d28/coap__server_8hpp.html" title="This file includes definitions for the CoAP server. " alt="" coords="2846,252,2980,291"/>
<area shape="rect" id="node7" href="../../d0/d93/joiner_8hpp.html" title="This file includes definitions for the Joiner role. " alt="" coords="2171,345,2359,371"/>
<area shape="rect" id="node13" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="873,685,1020,724"/>
<area shape="rect" id="node19" href="../../d8/d6a/message_8cpp.html" title="This file implements the message buffer pool and message buffers. " alt="" coords="1786,519,1993,544"/>
<area shape="rect" id="node20" href="../../de/d6c/dtls_8hpp.html" title="This file includes definitions for using mbedTLS. " alt="" coords="2193,259,2370,284"/>
<area shape="rect" id="node21" href="../../df/d5b/icmp6_8cpp.html" title="This file implements ICMPv6. " alt="" coords="2017,519,2172,544"/>
<area shape="rect" id="node22" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="978,519,1116,544"/>
<area shape="rect" id="node23" href="../../d1/dd4/ip6_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="1457,432,1596,457"/>
<area shape="rect" id="node24" href="../../d3/d05/ip6__mpl_8cpp.html" title="This file implements MPL. " alt="" coords="2197,519,2363,544"/>
<area shape="rect" id="node25" href="../../dd/daa/ip6__routes_8cpp.html" title="This file implements IPv6 route tables. " alt="" coords="1580,519,1762,544"/>
<area shape="rect" id="node26" href="../../d9/db7/netif_8cpp.html" title="This file implements IPv6 network interfaces. " alt="" coords="809,519,954,544"/>
<area shape="rect" id="node27" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="2387,519,2552,544"/>
<area shape="rect" id="node29" href="../../db/d84/thread__netif_8cpp.html" title="This file implements the Thread network interface. " alt="" coords="1353,512,1505,551"/>
<area shape="rect" id="node32" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="1418,259,1612,284"/>
<area shape="rect" id="node33" href="../../df/dab/ip6__mpl_8hpp.html" title="This file includes definitions for MPL. " alt="" coords="1624,345,1792,371"/>
<area shape="rect" id="node34" href="../../df/dc2/ip6__routes_8hpp.html" title="This file includes definitions for manipulating IPv6 routing tables. " alt="" coords="1418,345,1601,371"/>
<area shape="rect" id="node36" href="../../d6/d3c/meshcop__dataset_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="2393,252,2561,291"/>
<area shape="rect" id="node37" href="../../dd/d6b/meshcop__tlvs_8hpp.html" title="This file includes definitions for generating and processing MeshCoP TLVs. " alt="" coords="2272,165,2440,204"/>
<area shape="rect" id="node38" href="../../d1/df7/mle__tlvs_8hpp.html" title="This file includes definitions for generating and processing MLE TLVs. " alt="" coords="2636,252,2772,291"/>
<area shape="rect" id="node39" href="../../d6/daf/mle__tlvs_8cpp.html" title="This file implements common methods for manipulating MLE TLVs. " alt="" coords="2498,339,2633,377"/>
<area shape="rect" id="node40" href="../../d5/d88/network__diag__tlvs_8hpp.html" title="This file includes definitions for generating and processing MLE TLVs. " alt="" coords="3358,252,3519,291"/>
<area shape="rect" id="node41" href="../../d8/d16/network__diag__tlvs_8cpp.html" title="This file implements common methods for manipulating Network Diagnostic TLVs. " alt="" coords="3529,339,3690,377"/>
<area shape="rect" id="node42" href="../../d9/d60/thread__tlvs_8cpp.html" title="This file implements common Thread Network Layer TLV processing. " alt="" coords="3183,512,3335,551"/>
<area shape="rect" id="node43" href="../../d8/d26/thread__tlvs_8hpp.html" title="This file includes definitions and methods for generating and processing Thread Network Layer TLVs..." alt="" coords="3460,425,3612,464"/>
<area shape="rect" id="node44" href="../../d6/d3a/flen_8hpp.html" title="This file includes definitions for an FLEN (flag/length) encoder and decoder. " alt="" coords="2618,172,2734,197"/>
<area shape="rect" id="node45" href="../../d1/d75/hdlc_8hpp.html" title="This file includes definitions for an HDLC&#45;lite encoder and decoder. " alt="" coords="2758,172,2877,197"/>
</map>
</div>
</div>
<p><a href="../../d1/d97/mac__frame_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Thread::Mac::ExtAddress</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IEEE 802.15.4 Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>.  <a href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Thread::Mac::Address</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IEEE 802.15.4 Short or Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>.  <a href="../../dd/dcd/structThread_1_1Mac_1_1Address.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html">Thread::Mac::Frame</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IEEE 802.15.4 MAC frame generation and parsing.  <a href="../../d5/d19/classThread_1_1Mac_1_1Frame.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dbd/classThread_1_1Mac_1_1Beacon.html">Thread::Mac::Beacon</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IEEE 802.15.4 <a class="el" href="../../dc/dbd/classThread_1_1Mac_1_1Beacon.html" title="This class implements IEEE 802.15.4 Beacon generation and parsing. ">Beacon</a> generation and parsing.  <a href="../../dc/dbd/classThread_1_1Mac_1_1Beacon.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:d2/de1/namespaceThread_1_1Ip6"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Thread::Ip6</a></td></tr>
<tr class="memdesc:d2/de1/namespaceThread_1_1Ip6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This namespace includes definitions for IPv6 networking. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gafb4cc58e5e57ede04e2dbeb02f230ae1"><td class="memItemLeft" align="right" valign="top">
typedef <a class="el" href="../../dc/dbf/openthread-types_8h.html#a2dd7c7e7e4b5a8a15e9af7fb78de1eda">otPanId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d5c/group__core-mac.html#gafb4cc58e5e57ede04e2dbeb02f230ae1">Thread::Mac::PanId</a></td></tr>
<tr class="memdesc:gafb4cc58e5e57ede04e2dbeb02f230ae1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This type represents the IEEE 802.15.4 PAN ID. <br /></td></tr>
<tr class="separator:gafb4cc58e5e57ede04e2dbeb02f230ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70635fe32761138510f029f3d4eb36b7"><td class="memItemLeft" align="right" valign="top">
typedef <a class="el" href="../../dc/dbf/openthread-types_8h.html#a9199b7f0fe13ebcd0da2e3af71f04c40">otShortAddress</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d5c/group__core-mac.html#ga70635fe32761138510f029f3d4eb36b7">Thread::Mac::ShortAddress</a></td></tr>
<tr class="memdesc:ga70635fe32761138510f029f3d4eb36b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This type represents the IEEE 802.15.4 Short <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>. <br /></td></tr>
<tr class="separator:ga70635fe32761138510f029f3d4eb36b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gac1312e63aebcfa329ac45e9f2b2f2b4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac1312e63aebcfa329ac45e9f2b2f2b4f"></a>enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<b>kShortAddrBroadcast</b> = 0xffff, 
<br />
&#160;&#160;<b>kShortAddrInvalid</b> = 0xfffe, 
<br />
&#160;&#160;<b>kPanIdBroadcast</b> = 0xffff
<br />
 }</td></tr>
<tr class="separator:gac1312e63aebcfa329ac45e9f2b2f2b4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gaa432757bbee7fca1c02e00e1633e1f04"><td class="memItemLeft" align="right" valign="top">
class <a class="el" href="../../dc/dbd/classThread_1_1Mac_1_1Beacon.html">Thread::Mac::Beacon</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Thread::Mac::OT_TOOL_PACKED_END</b></td></tr>
<tr class="separator:gaa432757bbee7fca1c02e00e1633e1f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_4f2226f7ee388b01e44ffc735c8969ec.html">mac</a></li><li class="navelem"><a class="el" href="../../d1/d97/mac__frame_8hpp.html">mac_frame.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
